import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/src/foundation/key.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:get/get.dart';

import '../utils/textStyles.dart';

class NotifiedScreen extends StatelessWidget {
  final String? lable;
  const NotifiedScreen({Key? key, required this.lable}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    var title = lable.toString().split("|")[0];
    var note = lable.toString().split("|")[1];
    return Scaffold(
      appBar: _appBar(context, title),
      body: Center(
          child: Container(
        height: 400,
        width: 300,
        decoration: BoxDecoration(
            borderRadius: BorderRadius.circular(20),
            color: Get.isDarkMode ? Colors.white : Colors.grey[600]),
        child: Center(
          child: Text(
            note,
            style: bodyTextStyle,
          ),
        ),
      )),
    );
  }

  _appBar(BuildContext context, String title) {
    return AppBar(
      elevation: 0,
      title: Text(
        title,
        style: toolbarTextStyle,
      ),
      backgroundColor: context.theme.backgroundColor,
      leading: GestureDetector(
        onTap: () {
          Get.back();
        },
        child: Icon(Icons.arrow_back_ios,
            size: 20, color: Get.isDarkMode ? Colors.white : Colors.black),
      ),
    );
  }
}
